Monday, June 15, 2015

OSX 10.11 - El Capitan

I was so curious about El Capitan that I had to download and install it on my old Mac just after it was present in the developer center.

As expected from the presentation and the reviews the main changes are under the hood, so beside the updated notes app, the improved Spotlight and window management you'll not see a lot. However, more interesting for me is to see when it can be used for development.

In previous OSX versions we hat always problems with some tools that were simply not ready for updates. Despite that on El Capitan most things are working one thing that we use quite often was not working.

Cocoapods

The issue here was something like this
ERROR: While executing gem ... (Errno::EPERM) Operation not permitted
The issue behind is the "rootless" feature that comes with 10.11 as I've found here. For now it needs to be disabled.
sudo nvram boot-args="rootless=0"
Now it seems like it would install correctly, however there will come up an error wit a dependency that cocoapods needs "nokogiri".
This seems not to point to the right libraries, so you'll need to install it first using this command
sudo gem install nokogiri -- --with-xml2-include=/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.10.sdk/usr/include/libxml2 --use-system-libraries
Now you should be able to use cocoapods again.

To Be Continued ...

No comments: